import { OnDestroy, OnInit } from '@angular/core';
import { ContentLoadingController } from './content-loading.service';
export declare class ContentLoadingComponent implements OnInit, OnDestroy {
    private contentLoadingController;
    show: boolean;
    text: string;
    fadeIn: boolean;
    fadeOut: boolean;
    private subs;
    private timer;
    constructor(contentLoadingController: ContentLoadingController);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
